<!-- Extend area where template is defined -->
<?= $this->extend('templates/adminlte/generalcontent') ?>
<!-- .Extend -->

<!-- Title of the page -->
<?= $this->section('title') ?>Employee Payroll Transaction<?= $this->endSection() ?>
<!-- .Title -->

<!-- CSS of the page -->
<?= $this->section('css') ?>

<!-- Select2 -->
<link rel="stylesheet" href="<?= base_url() ?>adminlte/plugins/select2/css/select2.min.css">
<link rel="stylesheet" href="<?= base_url() ?>adminlte/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">

<?= $this->endSection() ?>
<!-- .CSS -->

<!-- body attribute - class definition -->
<?= $this->section('bodyclass') ?>sidebar-mini<?= $this->endSection() ?>
<!-- .body attribute -->

<!-- Container title -->
<?= $this->section('containertitle') ?>Employee Payroll Transaction<?= $this->endSection() ?>
<!-- .Container title -->

<!-- Active breadcrumb -->
<?= $this->section('activebreadcrumb') ?><a href="/payroll/paytrans">Payroll Transaction</a> / Employee Payroll Transaction<?= $this->endSection() ?>
<!-- .Active breadcrumb -->

<!-- Main content -->
<?= $this->section('main') ?>

<!-- Modal Add Branch -->
<div class="modal fade" id="mdlAddPayTrans">
  <div class="modal-dialog">
    <div class="modal-content">
      <form action="<?= url_to('payroll/addpaytrans') ?>" method="post">
        <div class="modal-header">
          <h4 class="modal-title" >New Payroll Transaction</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-12">
              <p class="lead">Payroll Group Information</p>
              <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <label>Payroll period:</label>
                        <div class="input-group">
                            <div class="input-group-prepend">
                            <span class="input-group-text">
                                <i class="far fa-calendar-alt"></i>
                            </span>
                            </div>
                            <input type="text" class="form-control float-right" id="txtPayrollFromTo" name="payroll_from_to">
                            <input type="hidden" id="txtPayrollFrom" name="payroll_from">
                            <input type="hidden" id="txtPayrollTo" name="payroll_to">
                            
                            <!-- set default value -->
                            <input type="hidden" name="total_emp" value="0">
                            <input type="hidden" name="total_gross" value="0">
                            <input type="hidden" name="is_open" value="1">
                        </div>
                        <!-- /.input group -->
                    </div>
                    <div class="form-group">
                        <label for="txtNoOfDays">Number of Days</label>
                        <input class="form-control" type="text" id="txtNoOfDays" name="no_of_days" value="<?= old('no_of_days') ?>" readonly>
                    </div>
                    <div class="form-group">
                        <label for="txtRemarks">Remarks</label>
                        <textarea class="form-control" rows="3" placeholder="Enter remarks here..." name="remarks" id="txtRemarks"><?= old('remarks') ?></textarea>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
            <button type="submit" class="btn btn-primary">Save changes</button>
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </div>
      </form>
    </div>
  </div>
</div>

<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title">Select Payroll Group to Process</h3>
            </div>
            <div class="card-body">
                <div class="row">
                  <div class="col-12">
                    <form action="/payroll/emppaytrans/<?= $paytransid ?>" method="get">
                      <div class="form-group">
                        <label>Payroll Group</label>
                        <div class="input-group mb-3">  
                          <select class="form-control select2 rounded-0" name="grpid">
                            <option value="-1">-- Select --</option>
                            <?php foreach($paygroups as $paygroup): ?>
                              <?php $selected = ($paygroupid != null && $paygroupid == $paygroup->pay_group_id) ? 'selected' : ''; ?>
                              <option value="<?= $paygroup->pay_group_id ?>" <?= $selected ?>><?= '['.$paygroup->pay_group_code.'] '.$paygroup->pay_group_name ?></option>
                            <?php endforeach; ?>
                          </select>
                          <span class="input-group-append">
                            <button type="submit" class="btn btn-info btn-flat">Select this Group</button>
                          </span>
                        </div>
                      </div>
                    </form>
                  </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title">List of Employee for Payroll</h3>
            </div>
            <div class="card-body">
              <?php if($paygroupid == null || $paygroupid == -1): ?>
                <p>Please select payroll group.</p>
              <?php else: ?>
                <div class="card-body table-responsive p-0">
                  <?php if($showInitBtn): ?>
                    <p>You may change the working days for this payroll cutoff. Deduct days off or absences on <strong>working days</strong> field.</p>
                  <?php else: ?>
                    <p>Adjust entry of each employee by clicking on <strong>Adjust</strong> button</p>
                  <?php endif; ?>
                  
                  <?= $tblEmpPayTrans ?>

                </div>
              <?php endif; ?>
            </div>
            <div class="card-footer">
                <?php if($showInitBtn && !($paygroupid == null || $paygroupid == -1)): ?>
                  <a class="btn btn-warning" href="/payroll/emppaytransinit/<?= $initURL ?>">Initialize Payroll</a>
                <?php elseif($paygroupid == null || $paygroupid == -1): ?>
                  <button type="button" class="btn btn-warning" disabled>Initialize Payroll</button>
                <?php else: ?>
                  <button type="button" class="btn btn-primary">Generate Payslip</button>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>
<!-- .Main content -->

<!-- Javascript -->

<?= $this->section('js') ?>

<!-- Select2 -->
<script src="<?= base_url() ?>adminlte/plugins/select2/js/select2.full.min.js"></script>

<script>
$(document).ready(function() {

  //Initialize Select2 Elements
  $('.select2').select2();
    
});

</script>

<?= $this->endSection() ?>

<!-- .Javascript -->